<?php
// +----------------------------------------------------------------------
// | 使用案例
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------
ini_set('display_errors', 1);
error_reporting(E_ALL); 
# 引入数据连接池
require_once 'MysqlPool.php';


$httpServer = new swoole_http_server('0.0.0.0', 9501);
$httpServer->set(
    ['worker_num' => 1]
);
$httpServer->on("WorkerStart", function () {
    # 先创建连接池
    MysqlPool::run()->init();
});

$httpServer->on("request", function ($request, $response) {  
    $db = null;
    # 拿出一个连接
    $obj = MysqlPool::run()->read_pop();
    if (!empty($obj)) {
        $db = $obj ? $obj['db'] : null;
    }
    if ($db) {
        $db->query("select sleep(2)");
        $ret = $db->query("select * from tp_user limit 1");
        // 用完记得塞回去
        MysqlPool::run()->read_free($obj);
        $response->end(json_encode($ret));
    }
});
$httpServer->start();


